use clap::Subcommand;

/// Wraper for docker compose; autodiscover compose file and source .env file.
#[derive(Subcommand, Debug)]
pub enum DockerCompose {
    /// Build containers.
    #[clap(alias("b"))]
    Build,

    /// Down containers.
    #[clap(alias("d"))]
    Down,

    /// Stop, build and start containers.
    #[clap(alias("rb"))]
    Rebuild,

    /// Stop and start containers.
    #[clap(alias("rs"))]
    Restart,

    /// Start containers.
    #[clap(alias("st"))]
    Start,

    /// Stop containers.
    #[clap(alias("s"))]
    Stop,

    /// Up containers.
    #[clap(alias("u"))]
    Up,
}
