use std::path::PathBuf;

use clap::Subcommand;

#[derive(Subcommand, Debug)]
pub enum Postgres {
    /// Import dump via pg_restore
    #[clap(alias("i"))]
    Import {
        #[arg(value_enum)]
        path: PathBuf,
    },

    /// Dump via pg_dump with format=c
    #[clap(alias("d"))]
    Dump {
        #[arg(value_enum)]
        path: PathBuf,
    },
}
